%define upstream_name    Dist-Zilla-Plugin-Inject
%define upstream_version 0.001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Inject into a CPAN::Mini mirror
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(Directory::Scratch)
BuildRequires: perl(Dist::Zilla::Role::Releaser)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildArch: noarch

%description
'Dist::Zilla::Plugin::Inject' is a release-stage plugin that will inject
your distribution into a local or remote the CPAN::Mini manpage mirror.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.1.0-10.mga9
+ Revision: 1803298
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.0-9.mga8
+ Revision: 1494374
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.1.0-8.mga7
+ Revision: 1267534
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.0-7.mga6
+ Revision: 1026221
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.1.0-6.mga6
+ Revision: 947622
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-5.mga5
+ Revision: 750035
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.0-3.mga4
+ Revision: 511097
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 366210
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 0.1.0-1.mga1
+ Revision: 71234
- imported package perl-Dist-Zilla-Plugin-Inject


* Mon Mar 14 2011 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
